--- old/usr/src/man/man1/ps.1	Mon Oct 15 13:25:20 2018
+++ new/usr/src/man/man1/ps.1	Mon Oct 15 13:25:21 2018
@@ -44,9 +44,9 @@
 .\" Portions Copyright (c) 1992, X/Open Company Limited All Rights Reserved
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
 .\" Copyright (c) 2013 Gary Mills
-.\" Copyright (c) 2017, Joyent, Inc.
+.\" Copyright (c) 2018, Joyent, Inc.
 .\"
-.TH PS 1 "Jun 13, 2017"
+.TH PS 1 "August 22, 2018"
 .SH NAME
 ps \- report process status
 .SH SYNOPSIS
@@ -1049,6 +1049,16 @@
 .sp
 .ne 2
 .na
+\fB\fBlwpname\fR\fR
+.ad
+.RS 11n
+The name of the lwp, if set. Requesting this formatting option causes
+one line to be printed for each lwp in the process.
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fBnlwp\fR\fR
 .ad
 .RS 11n
@@ -1173,8 +1183,8 @@
 
 .sp
 .LP
-Only \fBcomm\fR and \fBargs\fR are allowed to contain blank characters; all
-others, including the Solaris implementation variables, are not.
+Only \fBcomm\fR, \fBlwpname\fR, and \fBargs\fR are allowed to contain blank
+characters; all others, including the Solaris implementation variables, are not.
 .sp
 .LP
 The following table specifies the default header to be used in the POSIX locale
@@ -1196,7 +1206,7 @@
 nice	NI	tty	TT
 pcpu	%CPU	user	USER
 pgid	PGID	vsz	VSZ
-pid	PID		
+pid	PID
 .TE
 
 .sp
@@ -1221,12 +1231,13 @@
 gid	GID	ruid	RUID
 lgrp	LGRP	s	S
 lwp	LWP	sid	SID
-nlwp	NLWP	stime	STIME
-opri	PRI	taskid	TASKID
-osz	SZ	uid	UID
-pmem	%MEM	wchan	WCHAN
-pri	PRI	zone	ZONE
-ctid	CTID	zoneid	ZONEID
+lwpname	LWPNAME	stime	STIME
+nlwp	NLWP	taskid	TASKID
+opri	PRI	uid	UID
+osz	SZ	wchan	WCHAN
+pmem	%MEM	zone	ZONE
+pri	PRI	zoneid	ZONEID
+ctid	CTID
 .TE
 
 .SH EXAMPLES
